﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

namespace YqlTest {
    class Program {
        static void Main(string[] args) {

            string yql = "select * from search.web where query='pizza'";

            var xml = QueryYahoo(yql);
            Console.Write(xml.InnerText);

            string consumerKey = "-- YOUR CONSUMER KEY--";
            string consumerSecret = "-- YOUR CONSUMER SECRET--";
            
            xml = QueryYahoo(yql, consumerKey, consumerSecret);
            Console.Write(xml.InnerText);
        }

        private static XmlDocument QueryYahoo(string yql) {
            string url = "http://query.yahooapis.com/v1/public/yql?format=xml&diagnostics=false&q=" + Uri.EscapeUriString(yql);

            var req = System.Net.HttpWebRequest.Create(url);
            var xml = new XmlDocument();
            using (var res = req.GetResponse().GetResponseStream()) {
                xml.Load(res);
            }
            return xml;
        }

        private static XmlDocument QueryYahoo(string yql,string consumerKey, string consumerSecret) {
            string url = "http://query.yahooapis.com/v1/yql?format=xml&diagnostics=false&q=" + Uri.EscapeUriString(yql);
            url = OAuth.GetUrl(url, consumerKey, consumerSecret);

            var req = System.Net.HttpWebRequest.Create(url);
            var xml = new XmlDocument();
            using (var res = req.GetResponse().GetResponseStream()) {
                xml.Load(res);
            }
            return xml;
        }
    }
}
